Option Strict On
Option Explicit On

'Class to represent a member variable of a class.
Friend Class MemberVariable

#Region " Private Variables "

    Private _name As String
    Private _dataType As String
    Private _isReadOnly As Boolean
    Private _isWriteOnly As Boolean
    Private _isArray As Boolean
    Private _isList As Boolean

#End Region

    Public Property Name() As String
        Get
            Return _name
        End Get
        Set(ByVal value As String)
            _name = value
        End Set
    End Property

    Public Property DataType() As String
        Get
            Return _dataType
        End Get
        Set(ByVal value As String)
            _dataType = value
        End Set
    End Property

    Public Property IsReadOnly() As Boolean
        Get
            Return _isReadOnly
        End Get
        Set(ByVal value As Boolean)
            _isReadOnly = value
        End Set
    End Property

    Public Property IsWriteOnly() As Boolean
        Get
            Return _isWriteOnly
        End Get
        Set(ByVal value As Boolean)
            _isWriteOnly = value
        End Set
    End Property

    Public Property IsArray() As Boolean
        Get
            Return _isArray
        End Get
        Set(ByVal value As Boolean)
            _isArray = value
        End Set
    End Property

    Public Property IsList() As Boolean
        Get
            Return _isList
        End Get
        Set(ByVal value As Boolean)
            _isList = value
        End Set
    End Property

End Class